cpl.environment
=======================

cpl.environment.application\_environment
-----------------------------------------------

.. automodule:: cpl.environment.application_environment
   :members:
   :undoc-members:
   :show-inheritance:

cpl.environment.application\_environment\_abc
----------------------------------------------------

.. automodule:: cpl.environment.application_environment_abc
   :members:
   :undoc-members:
   :show-inheritance:

cpl.environment.environment\_name\_enum
----------------------------------------------

.. automodule:: cpl.environment.environment_name_enum
   :members:
   :undoc-members:
   :show-inheritance:
